Package com.avaya.clientservices.contact

## Class MatchedContactsWithMatchLevel

- java.lang.Object
- - com.avaya.clientservices.contact.MatchedContactsWithMatchLevel

-     public class MatchedContactsWithMatchLevel
      extends java.lang.Object

  A class used to return matched contacts for participant. Each list contains matched contacts at a given level.
  See Also:
    `Participant.getAllPossibleContactMatches()`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MatchedContactsWithMatchLevel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<Contact>` | `getAllContacts()` | All matched contacts.
    `java.util.List<Contact>` | `getExactType1Contacts()` | The list of matching contacts of the first type.
    `java.util.List<Contact>` | `getExactType2Contacts()` | The list of matching contacts of the second type.
    `java.util.List<Contact>` | `getPartialType1Contacts()` | The list of partial matching contacts of the first type.
    `boolean` | `isEmpty()` | A flag indicating if matched contacts collection is empty.
    `void` | `setAllContacts​(java.util.List<Contact> contacts)` | Sets the list of contacts with all match levels.
    `void` | `setExactType1Contacts​(java.util.List<Contact> contacts)` | Sets the list of contacts with Exact Type 1 match.
    `void` | `setExactType2Contacts​(java.util.List<Contact> contacts)` | Sets the list of contacts with Exact Type 2 match.
    `void` | `setPartialType1Contacts​(java.util.List<Contact> contacts)` | Sets the list of contacts with Partial Type 1 match.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchedContactsWithMatchLevel

          public MatchedContactsWithMatchLevel()

  - ### Method Detail

    - #### getExactType1Contacts

          public java.util.List<Contact> getExactType1Contacts()

      The list of matching contacts of the first type.

      If the compared addresses are dial-strings, feature access codes or phone numbers, it is an exact match after all alphanumeric characters are converted to digits and all visual separators are removed. If the compared addresses are URI's, it is an exact match as defined by RFC3261 section 19.1.4.

      Returns:
        List of `Contact`.

    - #### getExactType2Contacts

          public java.util.List<Contact> getExactType2Contacts()

      The list of matching contacts of the second type.

      At least one of the addresses was a URI. The phone number(s) extracted from the URI match in a normalized format.

      Returns:
        List of `Contact`.

    - #### getPartialType1Contacts

          public java.util.List<Contact> getPartialType1Contacts()

      The list of partial matching contacts of the first type.

      The phone number and/or phone numbers extracted from the URI match the rightmost 10 digits.

      Returns:
        List of `Contact`.

    - #### getAllContacts

          public java.util.List<Contact> getAllContacts()

      All matched contacts.
      Returns:
        List of `Contact`.

    - #### isEmpty

          public boolean isEmpty()

      A flag indicating if matched contacts collection is empty.
      Returns:
        true if matched contacts collection is empty.

    - #### setExactType1Contacts

          public void setExactType1Contacts​(java.util.List<Contact> contacts)

      Sets the list of contacts with Exact Type 1 match.
      Parameters:
        `contacts` - A list of contacts with Exact Type 1 match.

    - #### setExactType2Contacts

          public void setExactType2Contacts​(java.util.List<Contact> contacts)

      Sets the list of contacts with Exact Type 2 match.
      Parameters:
        `contacts` - A list of contacts with Exact Type 2 match.

    - #### setPartialType1Contacts

          public void setPartialType1Contacts​(java.util.List<Contact> contacts)

      Sets the list of contacts with Partial Type 1 match.
      Parameters:
        `contacts` - A list of contacts with Partial Type 1 match.

    - #### setAllContacts

          public void setAllContacts​(java.util.List<Contact> contacts)

      Sets the list of contacts with all match levels.
      Parameters:
        `contacts` - A list of contacts with all match levels.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`